Crypto-4.2.5.1: Collects together existing Haskell cryptographic functions into a package

Copyright | (c) John Meacham 2008
License | BSD-style (see the file ReadMe.tex)
Maintainer | john@repetae.net (http://repetae.net/)
Stability | experimental
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Codec.Encryption.TEA

Description

Implementation of the TEA tiny encryption algorithm

# Documentation

data TEAKey

Constructors

TEAKey !Word32 !Word32 !Word32 !Word32 |

encrypt :: TEAKey -> Word64 -> Word64

decrypt :: TEAKey -> Word64 -> Word64